commit:     69daaf7bad4c4828d61911b69ccd6f883261e39f
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 19 12:07:01 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Thu Jan 19 22:50:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69daaf7b

dev-util/trace-cmd: add 3.1.6

Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-util/trace-cmd/Manifest               |   1 +
 dev-util/trace-cmd/trace-cmd-3.1.6.ebuild | 144 ++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/dev-util/trace-cmd/Manifest b/dev-util/trace-cmd/Manifest
index 6f936c5dd72e..8dc49600418a 100644
--- a/dev-util/trace-cmd/Manifest
+++ b/dev-util/trace-cmd/Manifest
@@ -1,2 +1,3 @@
 DIST trace-cmd-v3.1.4.tar.gz 328452 BLAKE2B 
6d3c964d1ba585213b75834b1037449464e5d54e5f49ed5b532cc599f6b960b79d0f0327a6af38e38b3471b54316810d9f05ef6cc7a3a4e39ee7eec9864e5ef9
 SHA512 
93ad775c1767d2a02b72386a29867c3bc141171403c152c0c4cb907da16b5ae69100924279d9529083449c1774c97c35d5b4790b188bcd4930cfa69076cef0b8
 DIST trace-cmd-v3.1.5.tar.gz 328689 BLAKE2B 
ae77b418505c545ef2b701c484cec944b6d8b9e7b0df9ea0a6475b099d59997a426a4c3f69fc2cfdaaaa4280f5fc53b18caf7a39011cd980fa331122f59feb13
 SHA512 
7262e69a990986975f0ee9287b16afc48f4f481fcb54ce64ca51dbba2e4c8cbb3c7c7d3d888aba10f3b12ac6b1cf9e612dd98982dc8d48ea221d231e3d16ac4d
+DIST trace-cmd-v3.1.6.tar.gz 329041 BLAKE2B 
0f5adace645f8598b11c2f4db4c0f6081fbb60bd6f27bf5b2d59d2ab5279a3f4ed065af924ea7204df206295408167e9a21924f09254d7d4daa8f07c53f77967
 SHA512 
2504863556a86759173f7114f5ab9a1d5641cefdd2bc9af64d8e5232d175e9c946fbb9dcec00d91b903e74b0e1bc52332877ddc9b705d6cfe2af9cb39797a446

diff --git a/dev-util/trace-cmd/trace-cmd-3.1.6.ebuild 
b/dev-util/trace-cmd/trace-cmd-3.1.6.ebuild
new file mode 100644
index 000000000000..abddbafded31
--- /dev/null
+++ b/dev-util/trace-cmd/trace-cmd-3.1.6.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_OPTIONAL=1
+
+inherit linux-info bash-completion-r1 python-r1 toolchain-funcs
+
+DESCRIPTION="User-space front-end for Ftrace"
+HOMEPAGE="https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git";
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://git.kernel.org/pub/scm/utils/trace-cmd/${PN}.git";
+       inherit git-r3
+else
+       
SRC_URI="https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/snapshot/${PN}-v${PV}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+       S="${WORKDIR}/${PN}-v${PV}"
+fi
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/${PV}"
+IUSE="+audit doc python test udis86 +zstd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+# XXX trace-cmd autodetects this without configurability. This might cause
+# issues if the libraries are picked up with the useflag disabled and later
+# uninstalled
+RDEPEND="
+       audit? ( sys-process/audit )
+       python? ( ${PYTHON_DEPS} )
+       udis86? ( dev-libs/udis86 )
+       zstd? ( >=app-arch/zstd-1.4 )
+       !<dev-libs/libtracefs-1.6.1
+       >=dev-libs/libtracefs-1.6.1-r1
+       >=dev-libs/libtraceevent-1.6.3
+"
+DEPEND="${RDEPEND}
+       sys-kernel/linux-headers
+       test? ( dev-util/cunit )
+"
+BDEPEND="
+       virtual/pkgconfig
+       python? ( dev-lang/swig )
+       doc? (
+               app-text/asciidoc
+               dev-util/source-highlight
+       )
+"
+
+# having trouble getting tests to compile
+RESTRICT+=" test"
+
+pkg_setup() {
+       local CONFIG_CHECK="
+               ~TRACING
+               ~FTRACE
+               ~BLK_DEV_IO_TRACE"
+
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+       sed -r -e 's:([[:space:]]+)install_bash_completion($|[[:space:]]+):\1:' 
\
+               -e '/^prefix/s:/usr/local:/usr:g' \
+               -i Makefile || die "sed failed"
+
+       sed -i -e "s|^htmldir.*|&-${PVR}|g" \
+               -e "s|^pdfdir.*|&-${PVR}|g" \
+               Documentation/libtracecmd/Makefile \
+               Documentation/trace-cmd/Makefile || die
+}
+
+src_configure() {
+       EMAKE_FLAGS=(
+               BUILD_OUTPUT="${WORKDIR}/${P}_build"
+               "prefix=${EPREFIX}/usr"
+               "libdir=${EPREFIX}/usr/$(get_libdir)"
+               "CC=$(tc-getCC)"
+               "AR=$(tc-getAR)"
+               "BASH_COMPLETE_DIR=$(get_bashcompdir)"
+               "etcdir=/etc"
+               $(usex audit '' 'NO_AUDIT=' '' '1')
+               $(usex test 'CUNIT_INSTALLED=' '' '1' '')
+               $(usex udis86 '' 'NO_UDIS86=' '' '1')
+               VERBOSE=1
+       )
+}
+
+src_compile() {
+       emake "${EMAKE_FLAGS[@]}" NO_PYTHON=1 \
+               trace-cmd
+
+       if use python; then
+               python_copy_sources
+               python_foreach_impl python_compile
+       fi
+
+       use doc && emake doc
+}
+
+python_compile() {
+       pushd "${BUILD_DIR}" > /dev/null || die
+
+       emake "${EMAKE_FLAGS[@]}" \
+               PYTHON_VERS="${EPYTHON}" \
+               PYTHON_PKGCONFIG_VERS="${EPYTHON//python/python-}" \
+               python_dir=$(python_get_sitedir)/${PN} \
+               python ctracecmd.so
+
+       popd > /dev/null || die
+}
+
+src_test() {
+       emake "${EMAKE_FLAGS[@]}" test
+}
+
+src_install() {
+       emake "${EMAKE_FLAGS[@]}" NO_PYTHON=1 \
+               DESTDIR="${D}" \
+               install install_libs
+
+       newbashcomp tracecmd/trace-cmd.bash "${PN}"
+
+       use doc && emake DESTDIR="${D}" install_doc
+       use python && python_foreach_impl python_install
+}
+
+python_install() {
+       pushd "${BUILD_DIR}" > /dev/null || die
+
+       emake "${EMAKE_FLAGS[@]}" DESTDIR="${D}" \
+               PYTHON_VERS="${EPYTHON}" \
+               PYTHON_PKGCONFIG_VERS="${EPYTHON//python/python-}" \
+               python_dir=$(python_get_sitedir)/${PN} \
+               install_python
+
+       popd > /dev/null || die
+
+       python_optimize
+}

Reply via email to